Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029250
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementminorhave not tried2015-03-03 12:252015-04-01 08:31
ReporterSandrahuguetView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision103d52a584bb
ProjectionnoneETAnoneTarget Version3.0PR15Q1.2
OSLinux 32 bitDatabaseOracleJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date2013-12-31
Regression introduced in release3.0MP31
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/fcb87e990fcd [^]
Triggers an Emergency PackNo
Summary

0029250: It is not possible to change currency in header tab in G/L Journal

DescriptionIt is not possible to change currency in header tab in G/L Journal working in oracle.
Steps To Reproduce-Go to G/L Journal and create new record to "F&B España" Organization
-Navigate to header and create new record:
  ·Organization: F&B España
  ·Currency: EUR
-Navigate to lines and create a new line
-Return to the header and try to change currency to USD, the following error is shown:

Error
Saving failed. ORA-04091: table ERP_PI_ORACLE.GL_JOURNAL is mutating, trigger/function may not see it ORA-06512: at "ERP_PI_ORACLE.GL_JOURNALLINE2_TRG", line 41 ORA-04088: error during execution of trigger 'ERP_PI_ORACLE.GL_JOURNALLINE2_TRG' ORA-06512: at "ERP_PI_ORACLE.GL_JOURNAL_TRG", line 35 ORA-04088: error during execution of trigger 'ERP_PI_ORACLE.GL_JOURNAL_TRG'
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0029110 closedAtulOpenbravo It is not possible to change currency in header tab in G/L Journal 

-  Notes
(0075474)
hgbot (developer)
2015-03-12 10:57

Repository: erp/backports/3.0PR15Q1.2
Changeset: 103d52a584bb3857ac81e84feb6d9980d96bb015
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Mar 11 11:48:22 2015 +0530
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.2/rev/103d52a584bb3857ac81e84feb6d9980d96bb015 [^]

Fixes Issue 29250:It is not possible to change currency in header tab in G/L Journal

As there is trigger mutating error, updation of gl journal line currency and
currency rate is moved to a event handler from gl_journal_trg trigger.

---
M src-db/database/model/triggers/GL_JOURNAL_TRG.xml
A src/org/openbravo/event/GLJournalEventHandler.java
---
(0075475)
hgbot (developer)
2015-03-12 10:57

Repository: erp/backports/3.0PR15Q1.2
Changeset: a2a63be75a1bab1c0a96d1c18ce62d1ae42ce93b
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Mar 11 13:23:31 2015 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.2/rev/a2a63be75a1bab1c0a96d1c18ce62d1ae42ce93b [^]

Related to issue 29250: Added a clear inside the loop

Added a clear inside the loop to avoid performance problems

---
M src/org/openbravo/event/GLJournalEventHandler.java
---
(0075478)
aferraz (developer)
2015-03-12 11:02

Code review + Testing OK
(0076208)
hgbot (developer)
2015-04-01 08:06

Repository: erp/backports/3.0PR15Q2
Changeset: 103d52a584bb3857ac81e84feb6d9980d96bb015
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Mar 11 11:48:22 2015 +0530
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2/rev/103d52a584bb3857ac81e84feb6d9980d96bb015 [^]

Fixes Issue 29250:It is not possible to change currency in header tab in G/L Journal

As there is trigger mutating error, updation of gl journal line currency and
currency rate is moved to a event handler from gl_journal_trg trigger.

---
M src-db/database/model/triggers/GL_JOURNAL_TRG.xml
A src/org/openbravo/event/GLJournalEventHandler.java
---
(0076209)
hgbot (developer)
2015-04-01 08:06

Repository: erp/backports/3.0PR15Q2
Changeset: a2a63be75a1bab1c0a96d1c18ce62d1ae42ce93b
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Mar 11 13:23:31 2015 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2/rev/a2a63be75a1bab1c0a96d1c18ce62d1ae42ce93b [^]

Related to issue 29250: Added a clear inside the loop

Added a clear inside the loop to avoid performance problems

---
M src/org/openbravo/event/GLJournalEventHandler.java
---
(0076267)
priyam (administrator)
2015-04-01 08:31

closed again, as the status changed due the merge tag of 3.0PR15Q1.2 to backports/3.0PR15Q2

- Issue History
Date Modified Username Field Change
2015-03-12 10:08 aferraz Type defect => backport
2015-03-12 10:08 aferraz Target Version => 3.0PR15Q1.2
2015-03-12 10:57 hgbot Checkin
2015-03-12 10:57 hgbot Note Added: 0075474
2015-03-12 10:57 hgbot Status scheduled => resolved
2015-03-12 10:57 hgbot Resolution open => fixed
2015-03-12 10:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q1.2/rev/103d52a584bb3857ac81e84feb6d9980d96bb015 [^]
2015-03-12 10:57 hgbot Checkin
2015-03-12 10:57 hgbot Note Added: 0075475
2015-03-12 11:02 aferraz Review Assigned To => aferraz
2015-03-12 11:02 aferraz Note Added: 0075478
2015-03-12 11:02 aferraz Status resolved => closed
2015-04-01 08:06 hgbot Checkin
2015-04-01 08:06 hgbot Note Added: 0076208
2015-04-01 08:06 hgbot Status closed => resolved
2015-04-01 08:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR15Q1.2/rev/103d52a584bb3857ac81e84feb6d9980d96bb015 [^] => http://code.openbravo.com/erp/backports/3.0PR15Q2/rev/103d52a584bb3857ac81e84feb6d9980d96bb015 [^]
2015-04-01 08:06 hgbot Checkin
2015-04-01 08:06 hgbot Note Added: 0076209
2015-04-01 08:31 priyam Status resolved => closed
2015-04-01 08:31 priyam Note Added: 0076267


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker